tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

NetBSD 6 issues


I'll have to collect more data when I have a little more time, but here's a failure on NetBSD 6 with current pkgsrc on VAX:

=> Modifying libtool scripts to use pkgsrc libtool
===> build-message [apr-util-1.4.1nb1] ===> Building for apr-util-1.4.1nb1
/usr/pkgsrc/devel/apr-util/work/.wrapper/bin/libtool --silent --mode=compile cc -pthread -O1 -fgcse -fstrength-reduce -fgcse-after-reload -g -O2 -DHAVE_CONFIG_H -DNETBSD -I/usr/pkgsrc/devel/apr-util/work/apr-util-1.4.1/include -I/usr/pkgsrc/devel/apr-util/work/apr-util-1.4.1/include/private -I/usr/local/include/apr-1 -o buckets/apr_brigade.lo -c buckets/apr_brigade.c && touch buckets/apr_brigade.lo
libtool: compile: unable to infer tagged configuration
libtool: compile: specify a tag with `--tag'
*** Error code 1

And here's NetBSD 6 with current pkgsrc on Amiga:

checking for dlfcn.h... yes
checking whether we are using the GNU C++ compiler... no
checking whether c++ accepts -g... no
checking how to run the C++ preprocessor... cpp
configure: error: in `/usr/pkgsrc/net/bind99/work/bind-9.9.2':
configure: error: C++ preprocessor "cpp" fails sanity check
See `config.log' for more details
*** Error code 1

make: stopped in /usr/pkgsrc/net/bind99
WARNING: *** Please consider adding c++ to USE_LANGUAGES in the package Makefile.
*** Error code 1


Home | Main Index | Thread Index | Old Index